<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TOperationProCoreMapper">


<update id="updateByCode">
        UPDATE t_operation_procedure_core
        SET
            deleted = '1'
        WHERE operation_document_code in
    <foreach collection="codes" item="cod" index="index" open="(" separator="," close=")">
        #{cod}
    </foreach>
</update>

    <select id="selectByCode" resultType="cn.iocoder.yudao.module.knowledge.entity.TOperationProcedureCore">
        select
               *
        from
             t_operation_procedure_core
        where
        <if test="code != '' and code != null">
            operation_document_code = #{code}
        </if>

    </select>

</mapper>

